extends TileMap

@export var position_to_check: Vector2 = Vector2(100, 100)

# Called when the node enters the scene tree for the first time.
func _ready() -> void:
    var map_position = local_to_map(position_to_check)
    var local_position = map_to_local(map_position)
    print("local_to_map(Vector2%s) on TileMap with scale %s returned %s" % [position_to_check, scale, map_position])
    print("map_to_local(Vector2i%s) on TileMap with scale %s returned %s" % [map_position, scale, local_position])


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
    pass
